Bug 523245 - StarterLog complains of deprecated config: EXECUTE_LOGIN_IS_DEDICATED
Summary: StarterLog complains of deprecated config: EXECUTE_LOGIN_IS_DEDICATED
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.1
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.2
: ---
Assignee: Matthew Farrellee
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 527551
TreeView+ depends on / blocked
 
Reported: 2009-09-14 14:57 UTC by Matthew Farrellee
Modified: 2009-12-03 09:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid enhancement EXECUTE_LOGIN_IS_DEDICATED has been deprecated. DEDICATED_EXECUTE_ACCOUNT_REGEXP is now in use instead.
Clone Of:
Environment:
Last Closed: 2009-12-03 09:19:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1633 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.2 2009-12-03 09:15:33 UTC

Description Matthew Farrellee 2009-09-14 14:57:52 UTC
WARNING: EXECUTE_LOGIN_IS_DEDICATED is deprecated.  Please use DEDICATED_EXECUTE_ACCOUNT_REGEXP instead.

$ rpm -q condor
condor-7.4.0-0.4.el5
$ condor_config_val -v EXECUTE_LOGIN_IS_DEDICATED
EXECUTE_LOGIN_IS_DEDICATED: false
  Defined in '<Internal>'.
$ condor_config_val -dump | grep EXECUTE_LOGIN_IS_DEDICATED

This might be a side-effect of the new config system.

Comment 1 Matthew Farrellee 2009-09-23 17:24:39 UTC
This was resolved by reverting the new configuration system. It was pulled from 7.4 and will be reintroduced in 7.5.

Should be built into 7.4.0-0.6

Comment 3 Luigi Toscano 2009-10-23 14:30:56 UTC
StarterLog does not complain anymore and the variable is not defined. Tested on RHEL 4.8 and 5.3, both i386 and x86_64. Closing the bug as VERIFIED.

Comment 4 Luigi Toscano 2009-10-23 15:19:45 UTC
Verification done on condor 7.4.1-0.1.

Comment 5 Irina Boverman 2009-10-29 14:30:00 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.

Comment 6 Lana Brindley 2009-11-04 02:34:19 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
+Grid bug fix
+
 please see bug summary.

Comment 7 Lana Brindley 2009-11-04 03:14:08 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1,3 @@
-Grid bug fix
+Grid enhancement
 
-please see bug summary.+EXECUTE_LOGIN_IS_DEDICATED has been deprecated. DEDICATED_EXECUTE_ACCOUNT_REGEXP is now in use instead.

Comment 9 errata-xmlrpc 2009-12-03 09:19:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html


Note You need to log in before you can comment on or make changes to this bug.